//***************************************************************************//
//*                                                                         *//
//* Unit:    drj_Resources                                                  *//
//* Author:  Dark Magus                                                     *//
//* Date:    21.08.01                                                       *//
//*                                                                         *//
//*      " "  Dream Journal (v. 2.0). *//
//*                                                                         *//
//***************************************************************************//
unit drj_AboutForm;

//-[ INTERFACE ]---------------------------------------------------------------
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Buttons, StdCtrls, ShellAPI;

type Tfrm_About = class (TForm)
    bvl_Border         : TBevel;
    img_About          : TImage;
    lbl_Copyright      : TLabel;
    lbl_ColoneL        : TLabel;
    lbl_DarkAngel      : TLabel;
    lbl_DarkMagus      : TLabel;
    lbl_Odinokov       : TLabel;
    lbl_Dreamer        : TLabel;
    lbl_DreamJournal_1 : TLabel;
    lbl_DreamJournal_2 : TLabel;
    lbl_Wizardry_1     : TLabel;
    lbl_Wizardry_2     : TLabel;
    lbl_Version        : TLabel;
    pnl_Border         : TPanel;
    btn_Exit           : TSpeedButton;
    tmr_Dispencer      : TTimer;
    procedure btn_ExitClick (Sender : TObject);
    procedure lbl_DreamerClick (Sender : TObject);
    procedure tmr_DispencerTimer (Sender : TObject);
    procedure FormCreate (Sender : TObject);

  private
    FDirection : Integer;

  public
    property Direction : Integer read FDirection write FDirection;

end;

//-[ IMPLEMENTATION ]----------------------------------------------------------
implementation

{$R *.DFM}

procedure Tfrm_About.FormCreate (Sender : TObject);
begin
  FDirection := 1;
end;

procedure Tfrm_About.btn_ExitClick (Sender : TObject);
begin
  Close;
end;

procedure Tfrm_About.lbl_DreamerClick (Sender : TObject);
begin
  ShellExecute (Application.Handle, 'open', 'http://www.dreamer.ru/', nil, nil, SW_NORMAL);
end;

procedure Tfrm_About.tmr_DispencerTimer (Sender : TObject);
begin
  if (lbl_Copyright.Top <= 135) then
  begin
    Direction := 1;
  end
  else
  begin
    if (lbl_Odinokov.Top >= 290) then
    begin
      Direction := -1;
    end;
  end;

  lbl_Copyright.Top := lbl_Copyright.Top + Direction;
  lbl_DarkMagus.Top := lbl_DarkMagus.Top + Direction;
  lbl_Colonel.Top   := lbl_Colonel.Top   + Direction;
  lbl_DarkAngel.Top := lbl_DarkAngel.Top + Direction;
  lbl_Odinokov.Top  := lbl_Odinokov.Top  + Direction;
end;

//-[ END ]---------------------------------------------------------------------
end.
