//***************************************************************************//
//*                                                                         *//
//* Unit:    drj_Resources                                                  *//
//* Author:  Dark Magus                                                     *//
//* Date:    17.08.01                                                       *//
//*                                                                         *//
//*         Dream Journal (v. 2.0).    *//
//*                                                                         *//
//***************************************************************************//
unit drj_Types;

//-[ INTERFACE ]---------------------------------------------------------------
interface

uses
  xml_mainUnit,
  xml_node;

type TControlsFlag = (cfDreamLibrary,
                      cfDirectory,
                      cfDreamJournal,
                      cfOneNight,
                      cfOneDream);

type TAuthorizationFlag = (afGetParameters,
                           afSetParameters);

type TYearStatistic = (ysWholeQuantity,
                       ysAverageValue,
                       ysFirstFlagOn);

type TXMLPair = record
  fileNode    : TXMLNode;
  journalNode : TXMLNode;
end;

type PXMLPair = ^TXMLPair;

//-[ IMPLEMENTATION ]----------------------------------------------------------
implementation

//-[ END ]---------------------------------------------------------------------
end.
